Sympa::Spool::Automatic(3Sympa)

NAME
Sympa::Spool::Automatic - Spool for incoming messages in automatic spool

SYNOPSIS
  use Sympa::Spool::Automatic;
  my $spool = Sympa::Spool::Automatic->new;

  my ($message, $handle) = $spool->next;

DESCRIPTION
Sympa::Spool::Automatic implements the spool for incoming messages in automatic spool.

  Methods
See also "Public methods" in Sympa::Spool.

next ( [ no_filter => 1 ], [ no_lock => 1 ] )
    Instance method. Order is controlled by modification time of files and delivery date, then, if "no_filter" is not set, messages with possibly higher priority are chosen and messages with lowest priority ("z" or "Z") are skipped.

store ( $message, [ original => $original ] )
    In most cases, familyqueue(8) program stores messages to automatic spool. This method is not used in ordinal case.

  Context and metadata
See also "Marshaling and unmarshaling metadata" in Sympa::Spool.

This class particularly gives following metadata:

{date}
    Unix time when the message would be delivered.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queueautomatic
    Directory path of list creation spool.

SEE ALSO
sympa_automatic(8), Sympa::Message, Sympa::Spool.

HISTORY
Sympa::Spool::Automatic appeared on Sympa 6.2.6.